package kandata.launcher;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class SitePropertyAction extends AbstractAction {
	KandataLauncher launcher;
	SitePropertyAction(KandataLauncher launcher) {
		super("サイトのプロパティ");
		putValue(SMALL_ICON, ApplicationResources.loadIcon("property.png"));
		putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, Event.SHIFT_MASK));
		putValue(SHORT_DESCRIPTION, "サイトのプロパティ...");
		this.launcher = launcher;
	}
	/** アクションが発生すると呼び出されます。 */
	public void actionPerformed(ActionEvent e) {
		launcher.editProperty();
	}
}
